Package com.ngrok.definitions

# Class HttpsEdgeRoute

java.lang.Object
com.ngrok.definitions.HttpsEdgeRoute

public class HttpsEdgeRoute extends Object
A class encapsulating the `HttpsEdgeRoute` resource.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HttpsEdgeRoute(String edgeId, String id, OffsetDateTime createdAt, String matchType, String match, URI uri, String description, String metadata, Optional<EndpointBackend> backend, Optional<EndpointIpPolicy> ipRestriction, Optional<EndpointCircuitBreaker> circuitBreaker, Optional<EndpointCompression> compression, Optional<EndpointRequestHeaders> requestHeaders, Optional<EndpointResponseHeaders> responseHeaders, Optional<EndpointWebhookValidation> webhookVerification, Optional<EndpointOAuth> oauth, Optional<EndpointSaml> saml, Optional<EndpointOidc> oidc, Optional<EndpointWebsocketTcpConverter> websocketTcpConverter)`
  Creates a new instance of `HttpsEdgeRoute`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `Optional<EndpointBackend>`
  `getBackend()`
  backend module configuration or `null`
  `Optional<EndpointCircuitBreaker>`
  `getCircuitBreaker()`
  circuit breaker module configuration or `null`
  `Optional<EndpointCompression>`
  `getCompression()`
  compression module configuration or `null`
  `OffsetDateTime`
  `getCreatedAt()`
  timestamp when the edge configuration was created, RFC 3339 format
  `String`
  `getDescription()`
  human-readable description of what this edge will be used for; optional, max 255 bytes.
  `String`
  `getEdgeId()`
  unique identifier of this edge
  `String`
  `getId()`
  unique identifier of this edge route
  `Optional<EndpointIpPolicy>`
  `getIpRestriction()`
  ip restriction module configuration or `null`
  `String`
  `getMatch()`
  Route selector: "/blog" or "example.com" or "example.com/blog"
  `String`
  `getMatchType()`
  Type of match to use for this route.
  `String`
  `getMetadata()`
  arbitrary user-defined machine-readable data of this edge.
  `Optional<EndpointOAuth>`
  `getOauth()`
  oauth module configuration or `null`
  `Optional<EndpointOidc>`
  `getOidc()`
  oidc module configuration or `null`
  `Optional<EndpointRequestHeaders>`
  `getRequestHeaders()`
  request headers module configuration or `null`
  `Optional<EndpointResponseHeaders>`
  `getResponseHeaders()`
  response headers module configuration or `null`
  `Optional<EndpointSaml>`
  `getSaml()`
  saml module configuration or `null`
  `URI`
  `getUri()`
  URI of the edge API resource
  `Optional<EndpointWebhookValidation>`
  `getWebhookVerification()`
  webhook verification module configuration or `null`
  `Optional<EndpointWebsocketTcpConverter>`
  `getWebsocketTcpConverter()`
  websocket to tcp adapter configuration or `null`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HttpsEdgeRoute

    public HttpsEdgeRoute(String edgeId, String id, OffsetDateTime createdAt, String matchType, String match, URI uri, String description, String metadata, Optional<EndpointBackend> backend, Optional<EndpointIpPolicy> ipRestriction, Optional<EndpointCircuitBreaker> circuitBreaker, Optional<EndpointCompression> compression, Optional<EndpointRequestHeaders> requestHeaders, Optional<EndpointResponseHeaders> responseHeaders, Optional<EndpointWebhookValidation> webhookVerification, Optional<EndpointOAuth> oauth, Optional<EndpointSaml> saml, Optional<EndpointOidc> oidc, Optional<EndpointWebsocketTcpConverter> websocketTcpConverter)
    Creates a new instance of `HttpsEdgeRoute`.
    Parameters:
      `edgeId` - unique identifier of this edge
      `id` - unique identifier of this edge route
      `createdAt` - timestamp when the edge configuration was created, RFC 3339 format
      `matchType` - Type of match to use for this route. Valid values are "exact_path" and "path_prefix".
      `match` - Route selector: "/blog" or "example.com" or "example.com/blog"
      `uri` - URI of the edge API resource
      `description` - human-readable description of what this edge will be used for; optional, max 255 bytes.
      `metadata` - arbitrary user-defined machine-readable data of this edge. Optional, max 4096 bytes.
      `backend` - backend module configuration or `null`
      `ipRestriction` - ip restriction module configuration or `null`
      `circuitBreaker` - circuit breaker module configuration or `null`
      `compression` - compression module configuration or `null`
      `requestHeaders` - request headers module configuration or `null`
      `responseHeaders` - response headers module configuration or `null`
      `webhookVerification` - webhook verification module configuration or `null`
      `oauth` - oauth module configuration or `null`
      `saml` - saml module configuration or `null`
      `oidc` - oidc module configuration or `null`
      `websocketTcpConverter` - websocket to tcp adapter configuration or `null`

- ## Method Details

  - ### getEdgeId

    public String getEdgeId()
    unique identifier of this edge
    Returns:
      the value of the property as a `String`

  - ### getId

    public String getId()
    unique identifier of this edge route
    Returns:
      the value of the property as a `String`

  - ### getCreatedAt

    public OffsetDateTime getCreatedAt()
    timestamp when the edge configuration was created, RFC 3339 format
    Returns:
      the value of the property as a `OffsetDateTime`

  - ### getMatchType

    public String getMatchType()
    Type of match to use for this route. Valid values are "exact_path" and "path_prefix".
    Returns:
      the value of the property as a `String`

  - ### getMatch

    public String getMatch()
    Route selector: "/blog" or "example.com" or "example.com/blog"
    Returns:
      the value of the property as a `String`

  - ### getUri

    public URI getUri()
    URI of the edge API resource
    Returns:
      the value of the property as a `URI`

  - ### getDescription

    public String getDescription()
    human-readable description of what this edge will be used for; optional, max 255 bytes.
    Returns:
      the value of the property as a `String`

  - ### getMetadata

    public String getMetadata()
    arbitrary user-defined machine-readable data of this edge. Optional, max 4096 bytes.
    Returns:
      the value of the property as a `String`

  - ### getBackend

    public Optional<EndpointBackend> getBackend()
    backend module configuration or `null`
    Returns:
      the value of the property as a `EndpointBackend` wrapped in an `Optional`

  - ### getIpRestriction

    public Optional<EndpointIpPolicy> getIpRestriction()
    ip restriction module configuration or `null`
    Returns:
      the value of the property as a `EndpointIpPolicy` wrapped in an `Optional`

  - ### getCircuitBreaker

    public Optional<EndpointCircuitBreaker> getCircuitBreaker()
    circuit breaker module configuration or `null`
    Returns:
      the value of the property as a `EndpointCircuitBreaker` wrapped in an `Optional`

  - ### getCompression

    public Optional<EndpointCompression> getCompression()
    compression module configuration or `null`
    Returns:
      the value of the property as a `EndpointCompression` wrapped in an `Optional`

  - ### getRequestHeaders

    public Optional<EndpointRequestHeaders> getRequestHeaders()
    request headers module configuration or `null`
    Returns:
      the value of the property as a `EndpointRequestHeaders` wrapped in an `Optional`

  - ### getResponseHeaders

    public Optional<EndpointResponseHeaders> getResponseHeaders()
    response headers module configuration or `null`
    Returns:
      the value of the property as a `EndpointResponseHeaders` wrapped in an `Optional`

  - ### getWebhookVerification

    public Optional<EndpointWebhookValidation> getWebhookVerification()
    webhook verification module configuration or `null`
    Returns:
      the value of the property as a `EndpointWebhookValidation` wrapped in an `Optional`

  - ### getOauth

    public Optional<EndpointOAuth> getOauth()
    oauth module configuration or `null`
    Returns:
      the value of the property as a `EndpointOAuth` wrapped in an `Optional`

  - ### getSaml

    public Optional<EndpointSaml> getSaml()
    saml module configuration or `null`
    Returns:
      the value of the property as a `EndpointSaml` wrapped in an `Optional`

  - ### getOidc

    public Optional<EndpointOidc> getOidc()
    oidc module configuration or `null`
    Returns:
      the value of the property as a `EndpointOidc` wrapped in an `Optional`

  - ### getWebsocketTcpConverter

    public Optional<EndpointWebsocketTcpConverter> getWebsocketTcpConverter()
    websocket to tcp adapter configuration or `null`
    Returns:
      the value of the property as a `EndpointWebsocketTcpConverter` wrapped in an `Optional`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`